Bug 1805317 - Telemeter payload limit is too small for larger clusters
Summary: Telemeter payload limit is too small for larger clusters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.z
Assignee: Sergiusz Urbaniak
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1805190
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-20 16:38 UTC by Sergiusz Urbaniak
Modified: 2020-03-24 14:34 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1805190
Environment:
Last Closed: 2020-03-24 14:33:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 667 None closed Bug 1805317: pkg/manifests/telemeter: bump size limit to 5mb 2020-04-08 11:09:18 UTC
Red Hat Product Errata RHBA-2020:0858 None None None 2020-03-24 14:34:03 UTC

Description Sergiusz Urbaniak 2020-02-20 16:38:32 UTC
+++ This bug was initially created as a clone of Bug #1805190 +++

+++ This bug was initially created as a clone of Bug #1805188 +++

This is related to https://bugzilla.redhat.com/show_bug.cgi?id=1794616, but not optimizing the payload size, but we have to also bump the transfer limit for telemeter client.

Otherwise, larger clusters will still fail to send telemetry data.

Comment 4 Junqi Zhao 2020-03-10 02:36:24 UTC
Tested with 4.3.0-0.nightly-2020-03-09-200240, limit-bytes is now 5Mb
# oc -n openshift-monitoring get deploy/telemeter-client -oyaml | grep "\- --limit-bytes"
        - --limit-bytes=5242880

Comment 6 errata-xmlrpc 2020-03-24 14:33:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0858


Note You need to log in before you can comment on or make changes to this bug.